Skip to main content
POST
/
v1
/
owners
/
{id}
/
persons
Create a person
curl --request POST \
  --url https://api.yorlet.com/v1/owners/{id}/persons \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "[email protected]",
  "first_name": "<string>",
  "last_name": "<string>",
  "metadata": {},
  "phone": "<string>",
  "relationship": {
    "director": true,
    "executive": true,
    "owner": true,
    "percent_ownership": 50,
    "representative": true,
    "title": "<string>"
  },
  "title": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "owner.person",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "dob": {
    "day": 16,
    "month": 6.5,
    "year": 5949.5
  },
  "email": "[email protected]",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone": "<string>",
  "relationship": {
    "director": true,
    "executive": true,
    "owner": true,
    "percent_ownership": 50,
    "representative": true,
    "title": "<string>"
  },
  "title": "<string>",
  "verification_session": "<string>",
  "verification": {
    "status": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
address
object

The individual's home address.

dob
object

The individual's date of birth.

email
string<email>

The individual's email address.

first_name
string | null

The individual's first name.

last_name
string | null

The individual's last name.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

phone
string | null

The individual's phone number.

relationship
object

The person's relationship to the company.

title
string | null

The person's title within the company.

Response

200 - application/json

Returns the person object if the request succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
owner.person
address
object
required

The individual's home address.

dob
object
required

The individual's date of birth.

email
string<email> | null
required

The individual’s email address.

first_name
string | null
required

The individual's first name.

last_name
string | null
required

The individual's last name.

phone
string | null
required

The individual's phone number.

relationship
object
required

Describes the person's relationship to the company.

title
string | null
required

The person's title within the company.

verification_session
required

The verification session associated with the person.

verification
object
required

Verification status information.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.